# ActiveReportsJS 보고서 뷰어 React 컴포넌트 시작하기

## Content



### React 응용 프로그램 만들기

새 React 응용 프로그램을 가장 쉽게 만드는 방법은 [Create React App](https://github.com/facebook/create-react-app#creating-an-app) 도구를 사용하는 것입니다. 명령 프롬프트 또는 터미널에서 다음 명령을 실행하여 기본 옵션이 포함된 React 응용 프로그램을 만듭니다. 자세한 내용은 [React 앱 만들기](https://create-react-app.dev/) 사이트에서 [시작하기](https://create-react-app.dev/docs/getting-started)를 참조하십시오.
 
```bash
npm init react-app arjs-react-viewer-app
```

yarn을 사용하는 경우:

```bash
yarn create react-app arjs-react-viewer-app
```


React 응용 프로그램을 만드는 다른 방법은 [공식 문서](https://reactjs.org/docs/create-a-new-react-app.html)를 참조하십시오.

### ActivereportsJS npm 패키지 설치

React 보고서 뷰어 컴포넌트는 [@grapecity/activereports-react](https://www.npmjs.com/package/@grapecity/activereports-react) npm 패키지를 통해 배포됩니다. 기본 [@grapecity/activereports](https://www.npmjs.com/package/@grapecity/activereports) 패키지는 핵심 기능을 제공합니다. 이러한 패키지의 최신 버전을 설치하려면 응용 프로그램의 루트 폴더에서 다음 명령을 실행합니다.

```bash
npm install @grapecity/activereports-react @grapecity/activereports
```

yarn을 사용하는 경우:

```bash
yarn add @grapecity/activereports-react @grapecity/activereports
```

### ActiveReportsJS 스타일 가져오기

```src\App.css``` 파일을 열고 내용을 다음 코드로 바꿉니다. 이 코드는 기본 [보고서 뷰어 컴포넌트 스타일](/activereportsjs/docs/v2.2/DeveloperGuide/ActiveReportsJSViewer/Themes#built-in-themes)을 가져오며, [React 보고서 뷰어 컴포넌트](/activereportsjs/docs/v2.2/DeveloperGuide/ActiveReportsJSViewer/React-Component)를 호스트할 요소의 스타일을 정의합니다.

```css
@import "@grapecity/activereports/styles/ar-js-ui.css";
@import "@grapecity/activereports/styles/ar-js-viewer.css";

#viewer-host {
  width: 100%;
  height: 100vh;
}
```

### ActiveReportsJS 보고서를 응용 프로그램에 추가

ActiveReportsJS는 보고서 템플릿 파일에 [JSON 형식](https://www.json.org/json-en.html) 및 ```rdlx-json``` 확장자를 사용합니다. ```public``` 폴더에서 ```report.rdlx-json```이라는 새 파일을 만들고 다음 JSON 콘텐츠를 해당 파일에 삽입합니다.

```json
{
  "Name": "Report",
  "Body": {
    "ReportItems": [
      {
        "Type": "textbox",
        "Name": "TextBox1",
        "Value": "Hello, ActiveReportsJS Viewer",
        "Style": {
          "FontSize": "18pt"
        },
        "Width": "8.5in",
        "Height": "0.5in"
      }
    ]
  }
}
```


### React 보고서 뷰어 컴포넌트를 응용 프로그램에 추가

`src\App.js`의 기본 코드를 다음 코드로 바꿉니다.

```javascript
import React from "react";
import "./App.css";
import { Viewer } from "@grapecity/activereports-react";

function App() {
  return (
    <div id="viewer-host">
      <Viewer report={{ Uri: 'report.rdlx-json' }} />
    </div>
  );
}

export default App;
```

### 응용 프로그램 실행 및 테스트

`npm start` 또는 `yarn start` 명령을 사용하여 응용 프로그램을 실행합니다. 아래와 같이 오류가 발생하고 명령이 실패하면 ```node_modules``` 폴더를 삭제하고 ```npm install``` 또는 ```yarn```을 실행하여 필요한 패키지를 모두 다시 설치합니다.

```bash
> react-scripts start

internal/modules/cjs/loader.js:883
  throw err;
  ^

Error: Cannot find module 'react'
```

응용 프로그램이 시작되면 ActiveReportsJS 뷰어 컴포넌트가 페이지에 나타납니다. 뷰어에는 "안녕하세요, ActiveReportsJS 뷰어입니다"라는 텍스트가 표시된 보고서가 나타납니다. 도구 모음의 버튼을 사용하거나 사용 가능한 서식 중 하나로 보고서를 내보내 기본 기능을 테스트할 수 있습니다.


### 관련 링크

- [라이브 데모](/activereportsjs/demos/features/viewer-integration/react)
- [React 개발자 가이드](/activereportsjs/docs/v2.2/DeveloperGuide/ActiveReportsJSViewer/React-Component)


# ActiveReportsJS 보고서 뷰어 Angular 컴포넌트 시작하기

## Content

### **Angular 응용 프로그램 만들기**

새 Angular 응용 프로그램을 가장 쉽게 만들기 위해 권장되는 방법은 [Angular CLI](https://cli.angular.io/)를 사용하는 것입니다. 명령 프롬프트 또는 터미널에서 다음 명령을 실행하여 기본 옵션이 포함된 Angular 응용 프로그램을 만듭니다. 자세한 내용은 [Angular](https://angular.io/) 사이트의 [옵션](https://angular.io/cli/new#options)을 참조하십시오.

```bash
ng new arjs-angular-viewer-app --defaults --no-standalone
```

### **ActivereportsJS npm 패키지 설치**

[@mescius/activereportsjs-angular](https://www.npmjs.com/package/@mescius/activereportsjs-angular) npm 패키지를 통해 Angular Report Viewer Component를 배포합니다. 이 패키지는 핵심 기능을 포함하는 기본 [@mescius/activereportsjs](https://www.npmjs.com/package/@mescius/activereportsjs) 패키지에 의존합니다. 이러한 패키지의 최신 버전을 설치하려면 응용 프로그램의 루트 폴더에서 다음 명령을 실행합니다.

```bash
npm install @mescius/activereportsjs-angular@latest
```

yarn을 사용하는 경우:

```bash
yarn add @mescius/activereportsjs-angular@latest
```

### **ActiveReportsJS 스타일 가져오기**

`src\styles.css` 파일을 열고 다음 코드를 추가합니다. 이렇게 하면 기본 [보고서 뷰어 컴포넌트 스타일](/activereportsjs/docs/v6.1/DeveloperGuide/ActiveReportsJSViewer/Themes)을 가져옵니다.

```css
@import "@mescius/activereportsjs/styles/ar-js-ui.css";
@import "@mescius/activereportsjs/styles/ar-js-viewer.css";
```

### **ActivereportsJS Angular 모듈 등록**

> type=warning
> 다음 단계는 Angular v20에 적용됩니다. 이전 버전을 사용하는 경우 단계는 비슷하지만 파일 이름과 구조가 약간 다를 수 있습니다.

`src\app\app.module.ts` 파일을 열고 내용을 다음 코드로 바꿉니다. 이 코드는 표준 모듈 외에 [ActiveReportsModule](/activereportsjs/docs/v6.1/DeveloperGuide/ActiveReportsJSViewer/Integration/Angular-Component) 모듈도 등록합니다.

```javascript
import { NgModule, provideBrowserGlobalErrorListeners } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { ActiveReportsModule } from '@mescius/activereportsjs-angular';
import { AppRoutingModule } from './app-routing-module';
import { App } from './app';

@NgModule({
  declarations: [
    App
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    ActiveReportsModule
  ],
  providers: [
    provideBrowserGlobalErrorListeners()
  ],
  bootstrap: [App]
})
export class AppModule { }
```

### **ActiveReportsJS 보고서를 응용 프로그램에 추가**

ActiveReportsJS는 보고서 템플릿 파일에 [JSON 형식](https://www.json.org/json-en.html) 및 `rdlx-json` 확장자를 사용합니다. `public` 폴더에서 `report.rdlx-json`이라는 새 파일을 만들고 다음 JSON 콘텐츠를 해당 파일에 삽입합니다.

```json
{
  "Name": "Report",
  "Body": {
    "ReportItems": [
      {
        "Type": "textbox",
        "Name": "TextBox1",
        "Value": "Hello, ActiveReportsJS Viewer",
        "Style": {
          "FontSize": "18pt"
        },
        "Width": "8.5in",
        "Height": "0.5in"
      }
    ]
  }
}
```

### **ActiveReportsJS Angular 보고서 뷰어를 응용 프로그램에 추가**

> type=warning
> 다음 단계는 Angular v20에 적용됩니다. 이전 버전을 사용하는 경우 단계는 비슷하지만 파일 이름과 구조가 약간 다를 수 있습니다.

`src/app/app.ts`를 열고 내용을 다음 코드로 바꿉니다. 컴포넌트의 템플릿은 [Angular 보고서 뷰어 컴포넌트](/activereportsjs/docs/v6.1/DeveloperGuide/ActiveReportsJSViewer/Integration/Angular-Component)를 사용합니다. `init` 이벤트의 처리기는 이전 단계에서 만든 `report.rdlx-json`을 엽니다. 또한 컴포넌트는 [ActiveReportsJS Angular 내보내기 서비스](/activereportsjs/docs/v6.1/DeveloperGuide/ActiveReportsJSViewer/Integration/Angular-Component)를 삽입하여 사용자가 보고서 뷰어에서 보고서를 지원되는 형식으로 내보낼 수 있게 합니다.

```js
import { Component, ViewChild } from '@angular/core';
import {
  AR_EXPORTS,
  HtmlExportService,
  PdfExportService,
  ViewerComponent,
  TabularDataExportService,
} from '@mescius/activereportsjs-angular';

@Component({
  selector: "app-root",
  template:
    '<div id="viewer-host"><gc-activereports-viewer (init)="onViewerInit()"> </gc-activereports-viewer></div> ',
  styleUrls: ["./app.component.css"],
  providers: [
    {
      provide: AR_EXPORTS,
      useClass: PdfExportService,
      multi: true,
    },
    {
      provide: AR_EXPORTS,
      useClass: HtmlExportService,
      multi: true,
    },
    {
      provide: AR_EXPORTS,
      useClass: TabularDataExportService,
      multi: true,
    },
  ],
})
export class AppComponent {
  @ViewChild(ViewerComponent, { static: false }) reportViewer!: ViewerComponent;
  onViewerInit() {
    this.reportViewer.open('report.rdlx-json');
  }
}
```

`src/app/app.css` 파일을 열고 `viewer-host` 요소의 스타일을 추가합니다.

```css
#viewer-host {
  width: 100%;
  height: 100vh;
}
```

### **응용 프로그램 실행 및 테스트**

`npm start` 또는 `yarn start` 또는 `ng serve` 명령을 사용하여 응용 프로그램을 실행합니다. 응용 프로그램이 시작되면 ActiveReportsJS 뷰어 컴포넌트가 페이지에 나타납니다. 뷰어에는 "Hello, ActiveReportsJS Viewer"라는 텍스트가 표시된 보고서가 나타납니다. 도구 모음의 버튼을 사용하거나 사용 가능한 서식 중 하나로 보고서를 내보내 기본 기능을 테스트할 수 있습니다.

### **관련 링크**

* [라이브 데모](/activereportsjs/demos/features/viewer-integration/angular)
* [Angular 개발자 가이드](/activereportsjs/docs/v6.1/DeveloperGuide/ActiveReportsJSViewer/Integration/Angular-Component)

# ActiveReportsJS 보고서 뷰어 Vue 컴포넌트 시작하기

## Content

### Vue 응용 프로그램 만들기

새 Vue 응용 프로그램을 만드는 가장 쉽고 권장되는 방법은 [create-vue](https://github.com/vuejs/create-vue) 툴을 사용하는 것입니다. 명령 프롬프트나 터미널에서 다음 명령을 실행합니다:

```bash
npm create vue@3
```

TypeScript나 테스트 지원 등의 기능에 대한 몇 가지 질문이 있으며, 아래에서 추천 답변을 확인할 수 있습니다.

```text
✔ Project name: … arjs-vue-viewer-app
✔ Add TypeScript? … Yes
✔ Add JSX Support? … Yes
✔ Add Vue Router for Single Page Application development? … No
✔ Add Pinia for state management? … No
✔ Add Vitest for Unit testing? … No
✔ Add Cypress for both Unit and End-to-End testing? … No
✔ Add ESLint for code quality? … Yes
✔ Add Prettier for code formatting? … No

Scaffolding project in .arjs-vue-viewer-app...
Done.
```

### ActivereportsJS npm 패키지 설치

[@mescius/activereportsjs-vue](https://www.npmjs.com/package/@mescius/activereportsjs-vue) npm 패키지를 통해 Vue 보고서 뷰어 컴포넌트를 배포합니다. 이 패키지는 핵심 기능을 포함하는 기본 [@mescius/activereportsjs](https://www.npmjs.com/package/@mescius/activereportsjs) 패키지에 의존합니다.

이러한 패키지의 최신 버전을 설치하려면 애플리케이션의 루트 폴더에서 다음 명령을 실행하세요.

```bash
npm install @mescius/activereportsjs-vue@latest
```

yarn을 사용할 경우:

```bash
yarn add @mescius/activereportsjs-vue@latest
```

### 응용 프로그램에 ActiveReportsJS 보고서 추가

ActiveReportsJS는 보고서 템플릿 파일에 [JSON 형식](https://www.json.org/json-en.html) 및 `rdlx-json` 확장자를 사용합니다. `public` 폴더에서 `report.rdlx-json`이라는 새 파일을 만들고 다음 JSON 콘텐츠를 해당 파일에 삽입합니다.

```json
{
  "Name": "Report",
  "Body": {
    "ReportItems": [
      {
        "Type": "textbox",
        "Name": "TextBox1",
        "Value": "Hello, ActiveReportsJS Viewer",
        "Style": {
          "FontSize": "18pt"
        },
        "Width": "8.5in",
        "Height": "0.5in"
      }
    ]
  }
}
```

### 응용 프로그램에 Vue 보고서 뷰어 컴포넌트 추가

`src\App.vue` 파일을 열고 기본 내용을 다음 코드로 바꿉니다. 이 [단일 파일 컴포넌트](https://vuejs.org/v2/guide/single-file-components.html)는 [Vue 보고서 뷰어](/activereportsjs/docs/v6.1/DeveloperGuide/ActiveReportsJSViewer/Integration/Vue-Component)를 사용하여 이전 단계에서 추가한 보고서 템플릿을 표시합니다. 또한 기본 [보고서 뷰어 컴포넌트 스타일](/activereportsjs/docs/v6.1/DeveloperGuide/ActiveReportsJSViewer/Themes#built-in-themes)을 가져오고 뷰어 호스팅 요소의 스타일을 정의합니다.

```html
<template>
  <div id="viewer-host">
    <JSViewer v-bind:report="{ Uri: 'report.rdlx-json' }"></JSViewer>
  </div>
</template>

<script lang="ts">
import { Viewer } from "@mescius/activereportsjs-vue";

export default {
  name: "App",
  components: {
    JSViewer: Viewer,
  },
};
</script>

<style src="../node_modules/@mescius/activereportsjs/styles/ar-js-ui.css"></style>
<style src="../node_modules/@mescius/activereportsjs/styles/ar-js-viewer.css"></style>

<style>
#viewer-host {
  width: 100%;
  height: 100vh;
}
</style>
```

### 기본 앱 스타일 제거

기본 응용 프로그램스타일이 보고서 뷰어 레이아웃을 방해하지 않도록 하려면, `src\main.ts` 파일을 열고 해당 내용을 다음으로 변경하세요.

```ts
import { createApp } from 'vue'
import App from './App.vue'

createApp(App).mount('#app')
```

### 응용 프로그램 실행 및 테스트

`npm run serve` 또는 `yarn serve` 명령을 사용하여 응용 프로그램을 실행할 수 있습니다. 기본적으로, 프로젝트는 [http://localhost:5173/](http://localhost:5173/)에서 실행됩니다.
응용 프로그램이 시작되면 ActiveReportsJS 뷰어 컴포넌트가 페이지에 나타납니다. 뷰어에는 "Hello, ActiveReportsJS Viewer"라는 텍스트가 표시된 보고서가 나타납니다. 이제 보고서 뷰어 사용자 인터페이스를 사용하여 기본 기능을 테스트할 수 있습니다. 보고서 뷰어 컴포넌트는 TypeScript 선언과 함께 제공되는 풍부한 API를 제공하므로 Vue 애플리케이션 내에서 쉽게 사용할 수 있습니다.

### 관련 링크

* [라이브 데모](/activereportsjs/demos/features/viewer-integration/vue)
* [Vue 개발자 가이드](/activereportsjs/docs/v6.1/DeveloperGuide/ActiveReportsJSViewer/Integration/Vue-Component)